PHP funktioniert nicht auf AMS150 mit NeXT

FIRMWARE

Moderator: ModTeam

Roberto
Posts: 13
Joined: Tue Apr 08, 2008 14:19
Product(s): .
AMS150
- 1000 GB
- FW 2.0
- NEXT_base-AMS--2.0.06-TW
- NEXT_lighttpd--1.4.20b
- NEXT_php--5.2.6d
- NEXT_mysql--4.1.20
- NEXT_webadmin--3.0.0
- NEXT_telnetd--1.02
.
Scaleo 800
- XP
.
Asus V2S
- W7

PHP funktioniert nicht auf AMS150 mit NeXT

Postby Roberto » Fri Jun 24, 2011 14:30

Hallo,
ich benötige auf meinem AMS150 PHP als Grundlage für Joomla. Nachdem ich nun die aktuelle NeXT Firmware und die Addons Lighttp, PHP, MySQL, Telnetd und Webadmin installiert habe, werden die PHP-Scripte vom Web-Server nicht ausgeführt. :( Ich rufe den Webserver über Port 4711 auf. Habe sowhl PHP-Scripte als auch in HTML eingebettes PHP probiert. Funktioniert beides nicht. Kann mir jemand helfen? Die Installationsreigenfoge entspicht meiner Aufzählung. Alle Werkzeuge werden im NeXT FW-Administrationsfenster als activated und running angezeigt. Leider bin ich nicht der Linux-Profi und meine Suche war bis jetzt erfolglos.
Vielen Dank.
Roberto

dr_mike
Posts: 144
Joined: Fri Feb 15, 2008 19:00
Product(s): .
AMS 150 400GB
FW V2.0
HD: ATA ST3400620AS
NExt 2.0.06 TW
+WebAdmin 3.0.0
+dropbear 0.51c
+joe 3.5b
+php 5.2.6b
+mc 1.03
+tools 1.01
AMS 150 500GB
FW V2.0
HD: ATA WDC WD5000AAJS-0
NExt 2.0.06 TW
+WebAdmin 3.0.0
+dropbear 0.51c
+lighttpd 1.4.20b
+php 5.2.6d
+mysql 4.1.20
+mc 1.03
+joe 3.5b
+phpsysinfo 2.5.3b
+shutup 0.99b
+tools 1.04
SBLAN2 1TB Rev.: 1.0
FW 2.0
HD: ATA SAMSUNG HD103UI
NExt 2.0.06
+WebAdmin 2.2.0
+dropbear 0.51c
+joe 3.5b
+mc 1.04
+tools 1.04
CELVIN Q800 4.0TB
Location: Hessische Bergstrasse

Re: PHP funktioniert nicht auf AMS150 mit NeXT

Postby dr_mike » Fri Jun 24, 2011 15:09

hallo,

schau dir mal folgendes thema an

http://forum.ts.fujitsu.com/digitalhome/viewtopic.php?f=41&t=7865

vielleicht hilft es dir weiter

gruss micha

Roberto
Posts: 13
Joined: Tue Apr 08, 2008 14:19
Product(s): .
AMS150
- 1000 GB
- FW 2.0
- NEXT_base-AMS--2.0.06-TW
- NEXT_lighttpd--1.4.20b
- NEXT_php--5.2.6d
- NEXT_mysql--4.1.20
- NEXT_webadmin--3.0.0
- NEXT_telnetd--1.02
.
Scaleo 800
- XP
.
Asus V2S
- W7

Re: PHP funktioniert nicht auf AMS150 mit NeXT

Postby Roberto » Fri Jun 24, 2011 18:25

hallo micha,
habe schon im Vorfeld den Beitrag durchgelesen. Hat mir bei der Auswahl des CMS geholfe.
Leider löst er aber nicht mein Problem. Ich bin noch nicht bei der Installation des CMS.
Der Server meldet auch keinen Fehler. Die PHP-Scripte werden einfach nicht ausgeführt obwohl PHP aktiv ist.
Aber vielen Dank für den Hinweis.
Gruß Roberto

dr_mike
Posts: 144
Joined: Fri Feb 15, 2008 19:00
Product(s): .
AMS 150 400GB
FW V2.0
HD: ATA ST3400620AS
NExt 2.0.06 TW
+WebAdmin 3.0.0
+dropbear 0.51c
+joe 3.5b
+php 5.2.6b
+mc 1.03
+tools 1.01
AMS 150 500GB
FW V2.0
HD: ATA WDC WD5000AAJS-0
NExt 2.0.06 TW
+WebAdmin 3.0.0
+dropbear 0.51c
+lighttpd 1.4.20b
+php 5.2.6d
+mysql 4.1.20
+mc 1.03
+joe 3.5b
+phpsysinfo 2.5.3b
+shutup 0.99b
+tools 1.04
SBLAN2 1TB Rev.: 1.0
FW 2.0
HD: ATA SAMSUNG HD103UI
NExt 2.0.06
+WebAdmin 2.2.0
+dropbear 0.51c
+joe 3.5b
+mc 1.04
+tools 1.04
CELVIN Q800 4.0TB
Location: Hessische Bergstrasse

Re: PHP funktioniert nicht auf AMS150 mit NeXT

Postby dr_mike » Fri Jun 24, 2011 19:46

wird denn der webadmin bei dir korrekt ausgeführt oder geht der auch nicht??

Roberto
Posts: 13
Joined: Tue Apr 08, 2008 14:19
Product(s): .
AMS150
- 1000 GB
- FW 2.0
- NEXT_base-AMS--2.0.06-TW
- NEXT_lighttpd--1.4.20b
- NEXT_php--5.2.6d
- NEXT_mysql--4.1.20
- NEXT_webadmin--3.0.0
- NEXT_telnetd--1.02
.
Scaleo 800
- XP
.
Asus V2S
- W7

Re: PHP funktioniert nicht auf AMS150 mit NeXT

Postby Roberto » Fri Jun 24, 2011 20:27

Der Webadmin funktioniert einwandfrei. Hat mich auch gewundert.

dr_mike
Posts: 144
Joined: Fri Feb 15, 2008 19:00
Product(s): .
AMS 150 400GB
FW V2.0
HD: ATA ST3400620AS
NExt 2.0.06 TW
+WebAdmin 3.0.0
+dropbear 0.51c
+joe 3.5b
+php 5.2.6b
+mc 1.03
+tools 1.01
AMS 150 500GB
FW V2.0
HD: ATA WDC WD5000AAJS-0
NExt 2.0.06 TW
+WebAdmin 3.0.0
+dropbear 0.51c
+lighttpd 1.4.20b
+php 5.2.6d
+mysql 4.1.20
+mc 1.03
+joe 3.5b
+phpsysinfo 2.5.3b
+shutup 0.99b
+tools 1.04
SBLAN2 1TB Rev.: 1.0
FW 2.0
HD: ATA SAMSUNG HD103UI
NExt 2.0.06
+WebAdmin 2.2.0
+dropbear 0.51c
+joe 3.5b
+mc 1.04
+tools 1.04
CELVIN Q800 4.0TB
Location: Hessische Bergstrasse

Re: PHP funktioniert nicht auf AMS150 mit NeXT

Postby dr_mike » Sat Jun 25, 2011 11:44

dann funktioniert auch php grundsätzlich erstmal ordnungsgemäss.
es kommt nun darauf an, in welchem verzeichnis du deine seiten abgelegt und welche einstellungen du in der seitenspezifischen php.ini vorgenommen hast.
da ich mich aber an dieser stelle nicht so genau auskenne, hoffe ich doch mal, dass sich hier brevheart mal zu wort meldet :wink:

Roberto
Posts: 13
Joined: Tue Apr 08, 2008 14:19
Product(s): .
AMS150
- 1000 GB
- FW 2.0
- NEXT_base-AMS--2.0.06-TW
- NEXT_lighttpd--1.4.20b
- NEXT_php--5.2.6d
- NEXT_mysql--4.1.20
- NEXT_webadmin--3.0.0
- NEXT_telnetd--1.02
.
Scaleo 800
- XP
.
Asus V2S
- W7

Re: PHP funktioniert nicht auf AMS150 mit NeXT

Postby Roberto » Sat Jun 25, 2011 17:02

Trotzdem vielen Dank Micha.

Meine Scripte stelle ich in das Verzeichnis mnt/Web. Ich habe mir ein kurzes HTML-Script für den Test angelegt, welche erst eine Nachricht über HTML ausgibt und danach eine Zeile mit PHP. Die Nachrichtenzeile aus HTML erscheint, die aus PHP nicht. :?: Im Fehlerprotokoll des Web-Servers sind keine Einträge.

Kann mir sonst jemand helfen?

Guss Roberto

User avatar
Brevheart
Posts: 461
Joined: Wed Feb 21, 2007 9:23
Product(s): Synology DS211j

Re: PHP funktioniert nicht auf AMS150 mit NeXT

Postby Brevheart » Sun Jun 26, 2011 10:58

Moin,

ist lighttpd auch wirklich gestartet?? Über's WEBIF zu kontrollieren oder per Konsolen Zugang!
Setz mal auf der Konsole ein

Code: Select all

ps | grep lighttpd
ab.

Gruß Brevheart

User avatar
lochness
Posts: 3224
Joined: Sat Feb 04, 2006 20:42
Product(s): Myrica TV P42-2H
AMC 570 SAT (3.2.419 + VZD2)
AMC 370 SAT (1.6.115+VZD2)
AMP 150 (1.03.28eu)
3 x AMS 150 (V2.00 + NExt V2.0.06)
SBLAN2 R1.0 (V2.00 + NExt V2.0.06)
SBLAN2 R1.1 (V2.00 + NExt V2.0.06)
Storagebird DUO 35-LR (V1.03)
SB-L V1 (80GB, NetHDD007-0802)
Celvin Q800 4x2TB
Celvin Q700 2x1TB
Celvin Q600 1x2TB
Location: Bad Lippspringe

Re: PHP funktioniert nicht auf AMS150 mit NeXT

Postby lochness » Sun Jun 26, 2011 11:46

So, ich habe jetzt mal auf einem "frischen" AMS genau die Pakete in den Versionen installiert, die Roberto auch installiert hat. Nach einem Neustart des AMS sind alle Pakete gestartet (Status "running", und "ps | grep lighttpd" zeigt auch den Prozess an).
Ich habe dann eine Datei unter /mnt/Web angelegt namens phpinfo.php mit folgendem Inhalt:

Code: Select all

<?php
phpinfo();
?>
Wenn ich dann aufrufe:

Code: Select all

http://ams150:4711/phpinfo.php
dann bekomme ich eine Übersicht über die PHP-Features, und das zeigt mir erst mal, dass PHP funktioniert. Von den Paketen her und deren Abhängigkeiten sehe ich also kein Problem.
Was wir schon mal hatten, war, dass das Dateisystem defekt war und mit :arrow: e2fsck bereinigt werden musste. War bei mir gerade auch so, und betroffen waren auch drei Dateien vom lighttpd.

Roberto
Posts: 13
Joined: Tue Apr 08, 2008 14:19
Product(s): .
AMS150
- 1000 GB
- FW 2.0
- NEXT_base-AMS--2.0.06-TW
- NEXT_lighttpd--1.4.20b
- NEXT_php--5.2.6d
- NEXT_mysql--4.1.20
- NEXT_webadmin--3.0.0
- NEXT_telnetd--1.02
.
Scaleo 800
- XP
.
Asus V2S
- W7

Re: PHP funktioniert nicht auf AMS150 mit NeXT

Postby Roberto » Sun Jun 26, 2011 21:44

Vielen Dank für die Hilfe.
PHP läuft jetzt. :) Habe alles gelöscht und noch einmal neu installiert.
Werde mich jetzt an die Installation von phpmyadmin geben.
Gibt es da einen Tip bei der Installation?
Viele Grüsse Roberto

User avatar
lochness
Posts: 3224
Joined: Sat Feb 04, 2006 20:42
Product(s): Myrica TV P42-2H
AMC 570 SAT (3.2.419 + VZD2)
AMC 370 SAT (1.6.115+VZD2)
AMP 150 (1.03.28eu)
3 x AMS 150 (V2.00 + NExt V2.0.06)
SBLAN2 R1.0 (V2.00 + NExt V2.0.06)
SBLAN2 R1.1 (V2.00 + NExt V2.0.06)
Storagebird DUO 35-LR (V1.03)
SB-L V1 (80GB, NetHDD007-0802)
Celvin Q800 4x2TB
Celvin Q700 2x1TB
Celvin Q600 1x2TB
Location: Bad Lippspringe

Re: PHP funktioniert nicht auf AMS150 mit NeXT

Postby lochness » Mon Jun 27, 2011 6:44

Roberto wrote:Gibt es da einen Tip bei der Installation?
Such mal hier im Forum nach phpmyadmin. MIt mysql4 laufen nur ältere Versionen.


Return to “Firmware”

Who is online

Users browsing this forum: No registered users and 2 guests